﻿@model List<DomainModels.Entities.Shop.SaleRequest>


@{
    ViewBag.Title = "لیست درخواست های فروش ارز";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().UserId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.First().Amount)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.First().Price)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.First().RequestStatusId)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().CreatedOn)
                    </th>
					<th></th>
                    <th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.RowGuid)
                    </td>
                    <td>
                        <a style="color:#1388dd" href="/User/Detail/@item.UserId">@item.User.FullName (@item.UserId)</a>
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.Amount)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.Price)
					</td>
                    <td>
                        @Html.ShowRequestStatus(item.RequestStatus)
                    </td>
                    <td>
                        @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                    </td>
                    <td>
                        @if (item.HasChild)
                        {
                            @Html.ActionLink("زیر درخواست ها", "Childs", new { parentId = item.Id }, new { @class = "btn btn-primary" })
                        }
                    </td>
                    <td>
                        @if (!item.HasChild && item.RequestStatus.Name == DomainModels.Entities.Shop.RequestStatusName.Welded)
                        {
                            @Html.ActionLink("جزئیات معامله", "Detail", "Deal", new { code = item.RowGuid }, new { @class = "btn btn-info" })
                        }
                    </td>
				</tr>
			}
			</tbody>
		</table>

	</div>
</div>
